summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-libs/libsoundtouch
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-libs/libsoundtouch')
-rw-r--r--media-libs/libsoundtouch/Manifest3
-rw-r--r--media-libs/libsoundtouch/files/libsoundtouch-1.7.0-flags.patch22
-rw-r--r--media-libs/libsoundtouch/libsoundtouch-1.7.1.ebuild45
-rw-r--r--media-libs/libsoundtouch/libsoundtouch-1.8.0-r1.ebuild49
-rw-r--r--media-libs/libsoundtouch/libsoundtouch-1.8.0.ebuild45
-rw-r--r--media-libs/libsoundtouch/libsoundtouch-1.9.0.ebuild50
-rw-r--r--media-libs/libsoundtouch/metadata.xml5
7 files changed, 219 insertions, 0 deletions
diff --git a/media-libs/libsoundtouch/Manifest b/media-libs/libsoundtouch/Manifest
new file mode 100644
index 00000000000..61a954156eb
--- /dev/null
+++ b/media-libs/libsoundtouch/Manifest
@@ -0,0 +1,3 @@
+DIST soundtouch-1.7.1.tar.gz 101274 SHA256 385eafa438a9d31ddf84b8d2f713097a3f1fc93d7abdb2fc54c484b777ee0267 SHA512 92a9e2fb5e47f573771620f329e9193f559ff25ce21f16917479ff94e2aac1e3ebb79cb0fe1ae55d6505b40f694792e493b388470987fbe7a85505fd88e947cc WHIRLPOOL 0f36e93236747bbcdb3c4557791db55811c00f3171db2a386cbfb7d6f4a1657957f27378bbf22018931ce6c856d19da9db411fb8a190d46e4599db7ca6d9d0e1
+DIST soundtouch-1.8.0.tar.gz 106229 SHA256 3d4161d74ca25c5a98c69dbb8ea10fd2be409ba1a3a0bf81db407c4c261f166b SHA512 724e6ecc1727ee4c4f2503d183717dc1503ee2017b176677da6f0268e82254a7cca3ff9a27dbb9cab59e32d002797eec1b39d2b729f741e5f2ea77a147af4d39 WHIRLPOOL e4abc67aa23448a6ef8230794d1e6b9d3f4c33db1fc4fd7c784ab60953d6b79fd850b3cfbdb8ce983b238e7dc249ee96824160bb6e4683b17fd521a4b12b1b1c
+DIST soundtouch-1.9.0.tar.gz 169038 SHA256 1fe4fc03cbfe696c1281fd623d089baffe1b70265acc60eac7a6d9b5742971ad SHA512 383e6f8d1441a5d0676607d78e97a4906abe5b285a1d55f9145d8646e7c65b4d4c552250b6e5ca8e1bb74a4ba432f0370e8df666016aa3fdbf6642337d3e6110 WHIRLPOOL 4ba8f638b009c89cbe9b0320602297aff4db292f32c9a5c1494db05ef0b278f574163b6b256b77daebbaf4b673f00053833b3cfbe536ccba7fbbd3d380d06745
diff --git a/media-libs/libsoundtouch/files/libsoundtouch-1.7.0-flags.patch b/media-libs/libsoundtouch/files/libsoundtouch-1.7.0-flags.patch
new file mode 100644
index 00000000000..2b1e1ac8095
--- /dev/null
+++ b/media-libs/libsoundtouch/files/libsoundtouch-1.7.0-flags.patch
@@ -0,0 +1,22 @@
+--- soundtouch/source/SoundStretch/Makefile.am
++++ soundtouch/source/SoundStretch/Makefile.am
+@@ -48,7 +48,7 @@
+ # soundstretch_LDFLAGS=-s
+
+ ## additional compiler flags
+-soundstretch_CXXFLAGS=-O3
++#soundstretch_CXXFLAGS=-O3
+
+ #clean-local:
+ # -rm -f additional-files-to-remove-on-make-clean
+--- soundtouch/source/SoundTouch/Makefile.am
++++ soundtouch/source/SoundTouch/Makefile.am
+@@ -32,7 +32,7 @@
+
+
+ # Compiler flags
+-AM_CXXFLAGS=-O3 -fcheck-new -I../../include
++AM_CXXFLAGS=-fcheck-new -I../../include
+
+ # Compile the files that need MMX and SSE individually.
+ libSoundTouch_la_LIBADD=libSoundTouchMMX.la libSoundTouchSSE.la
diff --git a/media-libs/libsoundtouch/libsoundtouch-1.7.1.ebuild b/media-libs/libsoundtouch/libsoundtouch-1.7.1.ebuild
new file mode 100644
index 00000000000..7ed31b0824e
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-1.7.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic
+
+MY_PN=${PN/lib}
+
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback rates"
+HOMEPAGE="http://www.surina.net/soundtouch/"
+SRC_URI="http://www.surina.net/soundtouch/${P/lib}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ~arm hppa ~mips ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse2 static-libs"
+
+DEPEND="virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_PN}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-1.7.0-flags.patch
+ sed -i "s:^\(pkgdoc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+ sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ --disable-integer-samples \
+ --enable-x86-optimizations=$(usex cpu_flags_x86_sse2 sse2) \
+ $(use_enable static-libs static)
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html install
+ prune_libtool_files
+}
diff --git a/media-libs/libsoundtouch/libsoundtouch-1.8.0-r1.ebuild b/media-libs/libsoundtouch/libsoundtouch-1.8.0-r1.ebuild
new file mode 100644
index 00000000000..98ba6ac65a9
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-1.8.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic multilib-minimal
+
+MY_PN=${PN/lib}
+
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback rates"
+HOMEPAGE="http://www.surina.net/soundtouch/"
+SRC_URI="http://www.surina.net/soundtouch/${P/lib}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ~arm hppa ~mips ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse2 static-libs"
+
+DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+S=${WORKDIR}/${MY_PN}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-1.7.0-flags.patch
+ sed -i "s:^\(pkgdoc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+ sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ --enable-shared \
+ --disable-integer-samples \
+ --enable-x86-optimizations=$(usex cpu_flags_x86_sse2 sse2) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+ emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html install
+}
+
+multilib_src_install_all() {
+ prune_libtool_files
+}
diff --git a/media-libs/libsoundtouch/libsoundtouch-1.8.0.ebuild b/media-libs/libsoundtouch/libsoundtouch-1.8.0.ebuild
new file mode 100644
index 00000000000..7ed31b0824e
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-1.8.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic
+
+MY_PN=${PN/lib}
+
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback rates"
+HOMEPAGE="http://www.surina.net/soundtouch/"
+SRC_URI="http://www.surina.net/soundtouch/${P/lib}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ~arm hppa ~mips ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse2 static-libs"
+
+DEPEND="virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_PN}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-1.7.0-flags.patch
+ sed -i "s:^\(pkgdoc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+ sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ --disable-integer-samples \
+ --enable-x86-optimizations=$(usex cpu_flags_x86_sse2 sse2) \
+ $(use_enable static-libs static)
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html install
+ prune_libtool_files
+}
diff --git a/media-libs/libsoundtouch/libsoundtouch-1.9.0.ebuild b/media-libs/libsoundtouch/libsoundtouch-1.9.0.ebuild
new file mode 100644
index 00000000000..53670b33331
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-1.9.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic multilib-minimal
+
+MY_PN=${PN/lib}
+
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback rates"
+HOMEPAGE="http://www.surina.net/soundtouch/"
+SRC_URI="http://www.surina.net/soundtouch/${P/lib}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse openmp static-libs"
+
+DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+S=${WORKDIR}/${MY_PN}
+
+src_prepare() {
+ use openmp && { tc-has-openmp || die "Please switch to an openmp compatible compiler"; }
+ sed -i "s:^\(pkgdoc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+ sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ --enable-shared \
+ --disable-integer-samples \
+ $(use_enable cpu_flags_x86_sse x86-optimizations) \
+ $(use_enable openmp) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+ emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html install
+}
+
+multilib_src_install_all() {
+ prune_libtool_files
+}
diff --git a/media-libs/libsoundtouch/metadata.xml b/media-libs/libsoundtouch/metadata.xml
new file mode 100644
index 00000000000..ae573a60407
--- /dev/null
+++ b/media-libs/libsoundtouch/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sound</herd>
+</pkgmetadata>